Wikipedia.org Portal Survey: revisit for more participants
Closed, ResolvedPublic

Description

As a Product Manager, I want to re-run our earlier portal survey to get more responses on how the portal visitors came to the site.

We have a newer algorithm that will work with existing EventLogging and that will select more visitors to display the banner and hopefully get more users to participate in the survey.

The banner and language of the survey will be the same as previous, so no new legal review is needed. Survey preview is here.


debt created this task.Jun 2 2016, 7:34 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 2 2016, 7:34 PM
debt triaged this task as Normal priority.Jun 2 2016, 7:34 PM
debt moved this task from Backlog to To Discuss on the Discovery-Portal-Sprint board.

Change 293436 had a related patch set uploaded (by Jdrewniak):
T136874 survey banner re-release

https://gerrit.wikimedia.org/r/293436

Change 293436 merged by jenkins-bot:
T136874 survey banner re-release

https://gerrit.wikimedia.org/r/293436

Change 294107 had a related patch set uploaded (by Jdrewniak):
T134010 T136874 removing AB test & deploying banner survey

https://gerrit.wikimedia.org/r/294107

Change 294107 merged by jenkins-bot:
T134010 T136874 removing AB test & deploying banner survey

https://gerrit.wikimedia.org/r/294107

debt added a comment.Jun 20 2016, 3:10 PM

Stats so far - the survey has been active for almost a week now.

Change 295913 had a related patch set uploaded (by Jdrewniak):
Removing banner survey

https://gerrit.wikimedia.org/r/295913

Change 295913 merged by jenkins-bot:
Removing banner survey

https://gerrit.wikimedia.org/r/295913

Change 296399 had a related patch set uploaded (by Jdrewniak):
Bumping portals to master Removing survey banner

https://gerrit.wikimedia.org/r/296399

Change 296399 merged by jenkins-bot:
Bumping portals to master Removing survey banner

https://gerrit.wikimedia.org/r/296399

Mentioned in SAL [2016-06-28T15:24:51Z] <thcipriani@tin> Synchronized portals/prod/wikipedia.org/assets: SWAT: [[gerrit:296399|Bumping portals to master (T136874)]] (duration: 00m 24s)

Mentioned in SAL [2016-06-28T15:25:21Z] <thcipriani@tin> Synchronized portals: SWAT: [[gerrit:296399|Bumping portals to master (T136874)]] (duration: 00m 29s)

debt added a comment.EditedJun 30 2016, 2:27 PM

This task has now been completed, the details are copied here from an email I sent out today:

The Discovery Portal Team recently completed a second running of a survey on the Wikipedia.org portal, using a non-intrusive banner, from June 13 through June 28, 2016.

Our goal was to target those visitors that arrive at the portal page but don't actually do anything, as these "non-action" page visits account for about 43% of the portal's daily pageviews. We also wanted to see if we could get additional respondents to the survey by using a different bucketing system and running it for a longer timeframe.

We wanted to see if the results would indicate that many visitors have wikipedia.org set as their browser's default home page. Our thinking was that the non-action pageviews are occurring because each time a visitor opened up their preferred browser, their homepage would display the Wikipedia portal page but the user simply goes onto a different site without using the portal first.

The resulting data was very similar to our first running of the survey in May 2016, as shown in the following graphics - displaying the breakdown of the June survey and also displaying a comparison of May vs June survey results.

I've also included a sanitized pdf of all the 'other' answers to our survey, for those curious about the content of the free text answers that were collected. Some of the responses are fairly humorous "I took the 5 oclock train" and some were a bit more serious "I typed in the URL of the website. Not the word "wikipedia" but "http://www.wikipedia.com". It's how I normally navigate to a website I know the name of." and we received plenty of love too "I love ❤ your site".

Our goal of trying to get those non-action visitors to do an action (namely to take our quick survey) probably failed miserably but, on the other hand, we received a lot of other really good information that will be quite useful to our future updates to the Wikipedia portal.

All documents used for this update/comment have been uploaded to Commons:

[1] Survey results (graph)
[2] Comparison of May vs June 2016 survey results
[3] Text answers from survey

debt closed this task as Resolved.Aug 4 2016, 11:38 PM
debt claimed this task.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Aug 12 2016, 8:00 PM